Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class SAXAdapter

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.SAXAdapter

public final class SAXAdapter
extends java.lang.Object
implements TransletOutputHandler

Constructor Summary
`SAXAdapter(DOMBuilder domBuilder)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(char[] characters, int offset, int length)`
`void` | `characters(java.lang.String characters)`
`void` | `close()`
`void` | `comment(java.lang.String comment)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`java.lang.String` | `getPrefix(java.lang.String uri)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)`
`void` | `omitHeader(boolean value)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setCdataElements(Hashtable elements)`
`void` | `setDoctype(java.lang.String system, java.lang.String pub)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setHeader(java.lang.String header)`
`void` | `setIndent(boolean indent)`
`void` | `setMediaType(java.lang.String mediaType)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setType(int type)`
`void` | `setVersion(java.lang.String version)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXAdapter

    public SAXAdapter(DOMBuilder domBuilder)

Method Detail

### startDocument

    public void startDocument()
                       throws TransletException

  Specified by:
    startDocument in interface TransletOutputHandler

### endDocument

    public void endDocument()
                     throws TransletException

  Specified by:
    endDocument in interface TransletOutputHandler

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

  Specified by:
    characters in interface TransletOutputHandler

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws TransletException

  Specified by:
    characters in interface TransletOutputHandler

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

  Specified by:
    startElement in interface TransletOutputHandler

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

  Specified by:
    endElement in interface TransletOutputHandler

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

  Specified by:
    attribute in interface TransletOutputHandler

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws TransletException

  Specified by:
    namespace in interface TransletOutputHandler

### comment

    public void comment(java.lang.String comment)
                 throws TransletException

  Specified by:
    comment in interface TransletOutputHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

  Specified by:
    processingInstruction in interface TransletOutputHandler

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws TransletException

  Specified by:
    setEscaping in interface TransletOutputHandler

### startCDATA

    public void startCDATA()
                    throws TransletException

  Specified by:
    startCDATA in interface TransletOutputHandler

### endCDATA

    public void endCDATA()
                  throws TransletException

  Specified by:
    endCDATA in interface TransletOutputHandler

### setType

    public void setType(int type)

  Specified by:
    setType in interface TransletOutputHandler

### setHeader

    public void setHeader(java.lang.String header)

### setIndent

    public void setIndent(boolean indent)

  Specified by:
    setIndent in interface TransletOutputHandler

### omitHeader

    public void omitHeader(boolean value)

  Specified by:
    omitHeader in interface TransletOutputHandler

### setCdataElements

    public void setCdataElements(Hashtable elements)

  Specified by:
    setCdataElements in interface TransletOutputHandler

### setDoctype

    public void setDoctype(java.lang.String system,
                           java.lang.String pub)

  Specified by:
    setDoctype in interface TransletOutputHandler

### setMediaType

    public void setMediaType(java.lang.String mediaType)

  Specified by:
    setMediaType in interface TransletOutputHandler

### setStandalone

    public void setStandalone(java.lang.String standalone)

  Specified by:
    setStandalone in interface TransletOutputHandler

### setVersion

    public void setVersion(java.lang.String version)

  Specified by:
    setVersion in interface TransletOutputHandler

### close

    public void close()

  Specified by:
    close in interface TransletOutputHandler

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.